<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of phpMyVisitesStats, a plugin for Dotclear 2.3
#
# Copyright (c) 2011 AkhThoT 
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------

if (!defined('DC_CONTEXT_ADMIN')) { return; }

# Test des versions
$m_version = $core->plugins->moduleInfo('phpMyVisitesStats','version');
$i_version = $core->getVersion('phpMyVisitesStats');
if (version_compare($i_version,$m_version,'>=')) { return; }

# si on ne veut pas écraser les paramètres
$newParams = array(
	'Ok' => false,
	'DashBoardFavs' => false,
	'InfoVersion' => false,
	'urlSite' => 'http://st.free.fr',
	'ID' => '0',
	'PageName' => 'document.title'
	);

if (!is_null($core->blog->settings->phpMyVisitesStats)
	and !is_null($core->blog->settings->phpMyVisitesStats->phpMyVisitesStats_Params))
	{
	$oldParams = unserialize($core->blog->settings->
		phpMyVisitesStats->phpMyVisitesStats_Params);
	
	foreach($oldParams as $Key => $Val)
		$newParams[$Key] = $Val;
	}

# on tente de créer les paramètres
try
	{
	$core->blog->settings = new dcSettings($core,null);
	$core->blog->settings->addNameSpace('phpMyVisitesStats');
	$core->blog->settings->phpMyVisitesStats->put('phpMyVisitesStats_Params',
		serialize($newParams),'string');
	$core->setVersion('phpMyVisitesStats',$m_version);
	return true;
	}
catch (Exception $e)
	{
	$core->error->add($e->getMessage());
	return;
	}
?>