<?php
# -- BEGIN LICENSE BLOCK ----------------------------------
#
# This file is part of phpMyVisitesStats, a plugin for Dotclear 2.3
#
# Copyright (c) 2011 AkhThoT
#
# Licensed under the GPL version 2.0 license.
# See LICENSE file or
# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
#
# -- END LICENSE BLOCK ------------------------------------
if (!defined('DC_CONTEXT_ADMIN')) { return; }

$cookie = false; if (isset($_COOKIE['dc_phpMyVisitesStats'])) $cookie = true;

# si on a validé formulaire
if (!empty($_POST['saveconfig']))
	{
	# on tente d'enregistrer les paramètres
	try
		{
		$core->phpMyVisitesStats_Params['Ok'] =
			(empty($_POST['phpMyVisitesStats_Ok']))?false:true;
		$core->phpMyVisitesStats_Params['DashBoardFavs'] = 
			(empty($_POST['phpMyVisitesStats_DashBoardFavs']))?false:true;
		$core->phpMyVisitesStats_Params['InfoVersion'] =
			(empty($_POST['phpMyVisitesStats_InfoVersion']))?false:true;
		$core->phpMyVisitesStats_Params['urlSite'] = $_POST['phpMyVisitesStats_urlSite'];
		$core->phpMyVisitesStats_Params['ID'] = $_POST['phpMyVisitesStats_ID'];
		$core->phpMyVisitesStats_Params['PageName'] = $_POST['phpMyVisitesStats_PageName'];

		$core->blog->settings->addNameSpace('phpMyVisitesStats');
		$core->blog->settings->phpMyVisitesStats->put('phpMyVisitesStats_Params',
			serialize($core->phpMyVisitesStats_Params),'string');
			
		$core->blog->triggerBlog();

		$msg = 'Configuration sauvée !';
		}
	catch (Exception $e)
		{
		$core->error->add($e->getMessage());
		}
	}

if(!empty($_POST['createCookie']))
	{
	setcookie('dc_phpMyVisitesStats','NoCount',time()+60*60*24*366*10,'/');
	$cookie = true;
	}

if(!empty($_POST['deleteCookie']))
	{
	setcookie('dc_phpMyVisitesStats','',time()-3600,'/');
	$cookie = false;
	}
	
$ico64 = '<img style="vertical-align: middle;" src="index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-64x64.png" />';
$ico16 = '<img style="vertical-align: middle;" src="index.php?pf=phpMyVisitesStats/img-admin/phpMyVisitesStats-16x16.png" />';

$plug = $core->plugins->getModules('phpMyVisitesStats');
$vplug = $plug['version'];

?>
<html>
<head>
	<title><?php echo 'phpMyVisitesStats v°'.$vplug; ?></title>
</head>
<body>
<h2><?php echo $ico64.html::escapeHTML($core->blog->name); ?> &rsaquo; <?php echo 'phpMyVisitesStats v°'.$vplug; ?></h2>

<?php if (!empty($msg)) echo '<p class="message">'.$msg.'</p>'; ?>

<?php if (!empty($err)) echo '<p class="error">'.$err.'</p>'; ?>

<div id="phpMyVisitesStats_options">
	<form method="post" action="">
		
		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.'Paramètres généraux :'; ?></legend>
				<div class="two-cols">
				<div class="col">
				<p class="field">
					<?php echo form::checkbox('phpMyVisitesStats_Ok', 1, html::escapeHTML($core->phpMyVisitesStats_Params['Ok'])); ?>
					<label class=" classic" for="phpMyVisitesStats_Ok"> <?php echo __('Activation');?></label>
				</p>
				<p class="field">
					<?php echo form::field('phpMyVisitesStats_urlSite', 20, 255, html::escapeHTML($core->phpMyVisitesStats_Params['urlSite'])); ?>
					<label class=" classic" for="phpMyVisitesStatsurl_Site"> <?php echo __('url Site phpMyVisites');?></label>
				</p>
				<p class="field">
					<?php echo form::field('phpMyVisitesStats_ID', 20, 255, html::escapeHTML($core->phpMyVisitesStats_Params['ID'])); ?>
					<label class=" classic" for="phpMyVisitesStats_ID"> <?php echo __('Identifiant phpMyVisites');?></label>
				</p>
				<p class="field">
					<?php echo form::field('phpMyVisitesStats_PageName', 20, 255, html::escapeHTML($core->phpMyVisitesStats_Params['PageName'])); ?>
					<label class=" classic" for="phpMyVisitesStats_PageName"> <?php echo __('Nom de la Page');?></label>
				</p>
				</div>
				<div class="col">
				<p><?php echo __("A suivre ...");?> <a href="http://akhthot.free.fr/blog/pages/phpMyVisitesStats"><?php echo $ico16;?>&nbsp;phpMyVisitesStats</a></p>
				<p><?php echo __("en toute logique st.free.fr");?></p>
				<p><?php echo __("Identifiant");?></p>
				<p><?php echo __("ce peut être du JS comme document.title");?></p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Paramètres d\'Administration'); ?></legend>
				<div class="two-cols">
				<div class="col">
				<p class="field">
					<?php echo form::checkbox('phpMyVisitesStats_DashBoardFavs', 1, html::escapeHTML($core->phpMyVisitesStats_Params['DashBoardFavs'])); ?>
					<label class=" classic" for="phpMyVisitesStats_DashBoardFavs"> <?php echo __('Icône Favoris');?></label>
				</p>
				<p class="field">
					<?php echo form::checkbox('phpMyVisitesStats_InfoVersion', 1, html::escapeHTML($core->phpMyVisitesStats_Params['InfoVersion'])); ?>
					<label class=" classic" for="phpMyVisitesStats_InfoVersion"> <?php echo __('Activation VersionInfo');?></label>
				</p>
				</div>
				<div class="col">
				<p><?php echo __("Icône proposée aux favoris");?></p>
				<p>
					<?php if ($core->phpMyVisitesStats_Params['InfoVersion']) echo '<a href="http://akhthot.free.fr/blog/VersionInfo/Son/phpMyVisitesStats/phpMyVisitesStats.'.$vplug.'"><img src="http://akhthot.free.fr/blog/VersionInfo/Img/phpMyVisitesStats/phpMyVisitesStats.'.$vplug.'" alt="VersionInfo '.__('Indisponible !').'" title="VersionInfo" /></a>';?>
				</p>
				</div>
				</div>
		</fieldset>

		<fieldset>
			<input type="submit" name="saveconfig" value="<?php echo __('Sauver cette configuration'); ?>" />
			&nbsp;&nbsp;-&nbsp;&nbsp;
			<?php if ($cookie) {?>
				<input type="submit" name="deleteCookie" value="<?php echo __('Effacer le Cookie'); ?>" />
			<?php } else {?>
				<input type="submit" name="createCookie" value="<?php echo __('Créer le Cookie'); ?>" />
			<?php }?>
				<input type="hidden" name="p" value="phpMyVisitesStats" /><?php echo $core->formNonce(); ?>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Présentation'); ?></legend>
				<div class="col">
					<p>Pour ceux qui utilisent ou veulent utiliser <strong>phpMyVisites</strong> (made in Free) il existait un plugin que j'ai déjà du modifier une première fois pour qu'il fonctionne avec dotClear et maintenant qu'en passant à la version 2.3 de dotClear il ne marche plus, j'ai décidé de reprendre ce plugin à partir de zéro.</p>
					<p>Voici donc la raison de <strong>phpMyVisitesStats</strong></p>
					<p>Si vous n'etes pas chez Free ou n'utilisez pas votre compte phpMyVisites de Free, vous vous être fourvoyé en l'installant, he he he !</p>
				</div>
				<div class="col">
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Principe'); ?></legend>
				<div class="col">
					<p>Ce plugin se contente d'insérer par l'intermédiaire d'un widget le code nécessaire pour que phpMyVisites comptabilise et fasse quelques statistiques sur vos visiteurs.</p>
					<p>Il a donc besoin de l'url du site (st.free.fr), de votre identifiant (que vous devez récupérez sur la page d'administration de vos statistiques) et le nom de la page en cours de visionnage (le titre de la page me semble une bonne idée).</p>
					<p>Et pour éviter d'être soi-même comptabilisé dans ces statistiques, j'ai ajouté la création/l'effacement d'un cookie ici. Alors oui l'administration de phpMyVisites le permet déjà, mais voilà, j'ai une machine avec laquelle ça marche pas !</p>
				</div>
				<div class="col">
				</div>
		</fieldset>

		<fieldset>
			<legend><?php echo $ico16.'&nbsp;'.__('Précision'); ?></legend>
				<div class="col">
					<p>Comme c'est dans un widget n'oubliez pas de l'ajouter aux widgets de votre site, sinon ça marchera pas.</p>
					<p>Le code inséré est entouré d'un div ayant l'id <strong>phpMyVisitesStats</strong> vous pouvez donc utiliser des css pour le personnaliser.</p>
					<p>Je vous rappel de surcroit que vous pouvez insérer un widget n'importe où sur votre site avec le code suivant :
<code style="background-color:white;"> &lt;tpl:Widget id="phpMyVisitesStats"&gt;&lt;/tpl:Widget&gt; </code>
Bon comme ce widget n'a aucun paramètre ça peut paraitre un peu bizarre, mais c'est bien expliqué dans la doc de dotClear. N'oubliez pas alors d'enlever le widget des widgets de votre site pour éviter des comptages en double.</p>
				</div>
				<div class="col">
				</div>
		</fieldset>

	</form>
</div>
</body>
</html>
